Package org.eclipse.ecf.remoteservice

# Interface IOSGiRemoteServiceContainerAdapter

All Superinterfaces:
  `org.eclipse.core.runtime.IAdaptable`, `IRemoteServiceConsumer`, `IRemoteServiceContainerAdapter`, `IRemoteServiceHost`

public interface IOSGiRemoteServiceContainerAdapter extends IRemoteServiceContainerAdapter

Since:
  5.0

## Method Summary

Modifier and Type
Method
Description
`IRemoteServiceRegistration`
`registerRemoteService(String[] clazzes, ServiceReference aServiceReference, Dictionary properties)`
Register a new remote service.

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.ecf.remoteservice.IRemoteServiceContainerAdapter

`addRemoteServiceListener, asyncGetRemoteServiceReferences, asyncGetRemoteServiceReferences, asyncGetRemoteServiceReferences, createRemoteFilter, getAllRemoteServiceReferences, getRemoteService, getRemoteServiceID, getRemoteServiceNamespace, getRemoteServiceReference, getRemoteServiceReferences, getRemoteServiceReferences, getRemoteServiceReferences, registerRemoteService, removeRemoteServiceListener, setConnectContextForAuthentication, setRemoteServiceCallPolicy, ungetRemoteService`

## Method Details

### registerRemoteService

IRemoteServiceRegistration registerRemoteService(String[] clazzes, ServiceReference aServiceReference, Dictionary properties)
Register a new remote service. This method is to be called by the service server...i.e. the client that wishes to make available a service to other client within this container.

Parameters:
  `clazzes` - The class names under which the service will be remoted. The array must match or be a subset of the service's properties under the key Constants.OBJECTCLASS. Must not be `null` and must not be an empty array.
  `aServiceReference` - a `ServiceRefenrence`. This object must
  - not be `null`
  `properties` - to be associated with the service reference (replaces servicereference's properties)
Returns:
  IRemoteServiceRegistration the service registration. Will not return `null` .